Skip to content

Black Friday:

60% off

Cliedesk Pro

Every plan, every site count. Ends Cyber Monday.

00 days 00 hrs 00 min 00 sec
Claim 60% off

REST API v1

Webhooks

Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.

One delivery with request and response

GET /webhook-deliveries/{id}

Scope webhooks:read · Cost 1

Parameters

NameTypeDescription
id required path · string

Replay a delivery (same event id)

POST /webhook-deliveries/{id}/replay

Scope webhooks:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string

List webhook subscriptions

GET /webhooks

Scope webhooks:read · Cost 1

Add a webhook subscription (the secret is shown once)

POST /webhooks

Scope webhooks:write · Cost 2

Parameters

NameTypeDescription
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
name string
url required string
events required array of string
filters object
include_pii boolean
description string
options object

Event types a webhook can subscribe to

GET /webhooks/events

Scope webhooks:read · Cost 1

Change a webhook subscription

PATCH /webhooks/{id}

Scope webhooks:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
name string
url string
events array of string
filters object
include_pii boolean
description string
options object

Delete a webhook subscription

DELETE /webhooks/{id}

Scope webhooks:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string

Delivery log of a subscription

GET /webhooks/{id}/deliveries

Scope webhooks:read · Cost 1

Parameters

NameTypeDescription
id required path · string
status query · string One of: , pending, succeeded, failed, held, cancelled
type query · string
before query · integer

Pause a webhook subscription

POST /webhooks/{id}/pause

Scope webhooks:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string

Replay the failed deliveries

POST /webhooks/{id}/replay-failed

Scope webhooks:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
from required string
to required string

Resume a webhook subscription

POST /webhooks/{id}/resume

Scope webhooks:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string

Make a new signing secret

POST /webhooks/{id}/rotate-secret

Scope webhooks:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string

Request body (JSON)

NameTypeDescription
overlap_hours integer

Send a webhook.test event now

POST /webhooks/{id}/test

Scope webhooks:write · Cost 2

Parameters

NameTypeDescription
id required path · string
Idempotency-Key header · string